Skip to main content
`Ctrl`+`K`

# SNESFunctionFn

A prototype of a `SNES` evaluation function that would be passed to `SNESSetFunction()`

## Synopsis

    PETSC_EXTERN_TYPEDEF typedef PetscErrorCode(SNESFunctionFn)(SNES snes, Vec u, Vec F, void *ctx);

## Calling Sequence

- snes - `SNES` context

- u - input vector

- F - function vector

- ctx - [optional] user-defined function context

## See Also

SNES: Nonlinear Solvers, `SNES`, `SNESSetFunction()`, `SNESGetFunction()`, `SNESJacobianFn`, `SNESNGSFn`

## Level

beginner

## Location

include/petscsnes.h

Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages